/**
 * custom styles for Rimow
 * based on @see https://github.com/selectize/selectize.js
 */
.selectize-control.selectize-rimow {
  min-width: 222.3px;
  height: 36px;
}


.selectize-control.selectize-rimow {
  border: 0;
}

.selectize-control.selectize-rimow .selectize-dropdown .icon {
  width: 0.8rem;
  height: 0.8rem;
}

.selectize-control.selectize-rimow .selectize-dropdown [data-selectable] {
  border-bottom: 1px solid rgba(0,0,0,0.05);
}
.selectize-control.selectize-rimow .selectize-dropdown .by {
  font-size: 11px;
  opacity: 0.8;
}
.selectize-control.selectize-rimow .selectize-dropdown .by::before {
  content: 'by ';
}

.selectize-control.single .form-select {
  background-image: none;
}

.v, .tag {
  font-size: 11px;
  opacity: 0.8;
}

.v::before {
  content: 'v';
}

.selectize-control.selectize-rimow .selectize-dropdown .name {
  font-weight: bold;
  margin-right: 5px;
}
.selectize-control.selectize-rimow .selectize-dropdown .title {
  font-size: 10px;
  display: block;
}
.selectize-control.selectize-rimow .selectize-dropdown .description {
  font-size: 12px;
  display: block;
  opacity: 0.5;
  white-space: nowrap;
  width: 100%;
  text-overflow: ellipsis;
  overflow: hidden;
  padding-right: 15px;
}
.selectize-control.selectize-rimow .selectize-dropdown .meta {
  list-style: none;
  margin: 0;
  padding: 0;
  font-size: 10px;
  margin-bottom: 5px;
}
.selectize-control.selectize-rimow .selectize-dropdown .meta li {
  margin: 0;
  padding: 0;
  display: inline;
  margin-right: 10px;
}
.selectize-control.selectize-rimow .selectize-dropdown .meta li span {
  font-style: italic;
}

// spinner
.selectize-control.selectize-rimow::before {
  -moz-transition: opacity 0.2s;
  -webkit-transition: opacity 0.2s;
  transition: opacity 0.2s;
  content: ' ';
  z-index: 2;
  position: absolute;
  display: block;
  top: 50%;
  right: 12px;
  width: 16px;
  height: 16px;
  margin: -8px 0 0 0;
  background: url("#{$assets-base}/img/spinner.gif");
  background-size: 16px 16px;
  opacity: 0;
}
.selectize-control.selectize-rimow.loading::before {
  opacity: 0.4;
}

// use standard border-color
.selectize-input {
  border-color: $input-border-color !important;
}

// flat style for rimow-selectize
.input-group-flat {
  .selectize-input {
    border-right-style: none;
    border-top-right-radius:0;
    border-bottom-right-radius:0;
    &.focus {
      -webkit-box-shadow: none;
      -moz-box-shadow: none;
      box-shadow: none;
    }
  }
}

// @see https://github.com/selectize/selectize.js/issues/851#issuecomment-266468468
.selectize-input:not(.has-items) input {
  width: 100% !important;
}

// TODO() solve issue with single-select
// HACKFIX()
// @see https://github.com/selectize/selectize.js/issues/235
.selectize-input {
    height: 36px;
}
.selectize-input > input {
    height: auto;
    display: inline-block;
}

.selectize-control.selectize-rimow > input {
}


